if (require("RUnit", quietly=TRUE)) {
  wd <- getwd()
  pkg <- basename(sub(pattern="tests$", replacement="", wd))
  if (Sys.getenv("RCMDCHECK") == "FALSE") {
    path <- file.path("..", "inst")
  } else {
    pkg <- sub(pattern="\.Rcheck$", replacement="", pkg)
    path <- file.path("..", pkg)
  }
  path <- file.path(wd, path, "unitTests")
  pathReport <- file.path(path, "report")

  library(package=pkg, character.only=TRUE)


  testSuite <- defineTestSuite(name=paste(pkg, "unit testing"),
                               dirs=path)
  tests <- runTestSuite(testSuite)
  printTextProtocol(tests)
  printTextProtocol(tests, fileName=paste(pathReport,".txt",sep=""))

  if (getErrors(tests)$nFail > 0) {
    stop("one of the unit tests failed")
  }
}
